GETENTROPY(2)

NAME
getentropy - get entropy

SYNOPSIS
#include <unistd.h>
int
getentropy(void *buf, size_t buflen);

DESCRIPTION
getentropy() fills a buffer with high-quality entropy, which can be used as input for process-context pseudorandom generators like arc4random(3).

The maximum buffer size permitted is 256 bytes. If buflen exceeds this, an error of EIO will be indicated.

getentropy() is not intended for regular code; please use the arc4random(3) family of functions instead.

RETURN VALUES

ERRORS
getentropy() will succeed unless:

[EFAULT]
    The buf parameter points to an invalid address.

[EIO]
    Too many bytes requested, or some other fatal error occurred.

SEE ALSO
arc4random(3)

HISTORY
The getentropy() function appeared in OpenBSD 5.6.